Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Oct 2023 05:31:23 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 24 Oct 2023 13:22:03 -0700
> Cc: Mattias Engdegård <[email-masked]>, 
> 	[email-masked]
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > That makes the patch completely useless.  There's already an opt-in
> > solution (via `auto-insert`), so I'd oppose this patch if it's OFF by
> > default since it's just added complexity.
> 
> Indeed.  I also can't see any downsides to making it non-optional.
> 
> I think we should mainly ask ourselves if this feature will help users.
> In my opinion, the answer is clearly yes, in almost all cases.  For the
> rest, a very small minority indeed, the patch provides a user option.

We should also ask ourselves if this is not "too much".  I think it
is, since a clear indication of dynamic binding, with a face that
makes it stand out, already exists on the mode line.  I think this is
enough.  It is not Emacs's business to force users into something they
don't want to do.  Emacs never did that, and should not do that in the
future.